Subject: bug#18493: 24.3.93; posn-col-row should take text-scale-mode into account

From: Stefan Monnier <[email-masked]>
Date: Fri, 19 Sep 2014 10:54:15 -0400

> It's hard to say. Maybe? I'd like to reiterate here, that I'd be
> satisfied just with some instructions how to convert the current
> `posn-col-row' return value into value that respects text scale.

I think this is all a waste of time.  We should focus on company popups
based on GUI elements (most likely special kinds of frames) rather than
based on overlay-hacks.  That will work with any random crap you might
have in the buffer (scaled text, proportional fonts, images, you name
it).  The current overlay approach can be kept for the tty case, where
proportional fonts, images, and such things don't exist anyway.

        Stefan